%define prefix	/usr

Name: google-perftools
Version: 0.97
Release: alt1

Summary: Performance tools for C++
Group: Development/Other
Url: http://goog-perftools.sourceforge.net
License: %bsd
Packager: Avramenko Andrew <liks@altlinux.ru>

Source: http://goog-perftools.sourceforge.net/%name-%version.tar
Patch0: %name-as-needed.patch
Requires: gcc-c++
BuildRequires: gcc-c++ libunwind-devel rpm-build-licenses
%ifarch x86_64
Requires: libunwind
%endif

%description
The %name packages contains some utilities to improve and analyze the
performance of C++ programs.  This includes an optimized thread-caching
malloc() and cpu and heap profiling utilities.

%package devel
Summary: Performance tools for C++
Group: Development/Other

%description devel
The %name-devel package contains static and debug libraries and header
files for developing applications that use the %name package.

%prep
%setup
%patch0

%build
./configure --disable-static
make prefix=%prefix libdir=%_libdir

%install
make prefix=%buildroot%prefix libdir=%buildroot%_libdir install
mkdir -p %buildroot%_man1dir
mv %buildroot%prefix/man/man1/* %buildroot%_man1dir

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/*.html doc/*.gif doc/*.png doc/*.txt doc/*.dot
%_libdir/libtcmalloc.so.0
%_libdir/libtcmalloc.so.0.0.0
%_libdir/libtcmalloc_minimal.so.0
%_libdir/libtcmalloc_minimal.so.0.0.0
%_libdir/libprofiler.so.0
%_libdir/libprofiler.so.0.0.0
%_bindir/pprof
%_man1dir/pprof.1.gz

%files devel
%_includedir/google
%_libdir/libtcmalloc.so
%_libdir/libtcmalloc_minimal.so
%_libdir/libprofiler.so

%changelog
* Tue Apr 22 2008 Avramenko Andrew <liks@altlinux.ru> 0.97-alt1
- New version

* Thu Oct 11 2007 Avramenko Andrew <liks@altlinux.ru> 0.93-alt1
- New version

* Fri Jul 27 2007 Avramenko Andrew <liks@altlinux.ru> 0.92-alt1
- New version

* Thu May 31 2007 Avramenko Andrew <liks@altlinux.ru> 0.91-alt3
- Buildrequires libunwind-devel for ALL archs

* Fri May 25 2007 Avramenko Andrew <liks@altlinux.ru> 0.91-alt2
- Add dependencies on libunwind to fix x86_64 build

* Wed Apr 25 2007 Avramenko Andrew <liks@altlinux.ru> 0.91-alt1
- New version
- Moved to git
- Disable static
- Spec cleanup
- x86_64 build fixed

* Fri Mar 30 2007 Avramenko Andrew <liks@altlinux.ru> 0.8-alt1
- Initial build for Sisyphus

* Fri Mar 11 2005 <opensource@google.com>
- First draft
